From: Ramkumar Ramachandra <artagnon@gmail.com>
To: Git List <git@vger.kernel.org>
Cc: Junio C Hamano <gitster@pobox.com>
Subject: [PATCH 2/7] rebase -i: don't error out if $state_dir already exists
Date: Sun, 12 May 2013 17:26:36 +0530 [thread overview]
Message-ID: <1368359801-28121-3-git-send-email-artagnon@gmail.com> (raw)
In-Reply-To: <1368359801-28121-1-git-send-email-artagnon@gmail.com>
In preparation for a later patch that will create $state_dir/autostash
in git-rebase.sh before anything else can happen, change a `mkdir
$state_dir` call to `mkdir -p $state_dir`. The change is safe,
because this is not a test to detect an in-progress rebase (that is
already done much earlier in git-rebase.sh).
Signed-off-by: Ramkumar Ramachandra <artagnon@gmail.com>
---
git-rebase--interactive.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/git-rebase--interactive.sh b/git-rebase--interactive.sh
index 5822b2c..3411139 100644
--- a/git-rebase--interactive.sh
+++ b/git-rebase--interactive.sh
@@ -842,7 +842,7 @@ then
fi
orig_head=$(git rev-parse --verify HEAD) || die "No HEAD?"
-mkdir "$state_dir" || die "Could not create temporary $state_dir"
+mkdir -p "$state_dir" || die "Could not create temporary $state_dir"
: > "$state_dir"/interactive || die "Could not mark as interactive"
write_basic_state
--
1.8.3.rc1.51.gd7a04de
next prev parent reply other threads:[~2013-05-12 11:56 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-05-12 11:56 [PATCH v3 0/7] rebase.autostash completed Ramkumar Ramachandra
2013-05-12 11:56 ` [PATCH 1/7] am: tighten a conditional that checks for $dotest Ramkumar Ramachandra
2013-05-12 11:56 ` Ramkumar Ramachandra [this message]
2013-05-12 11:56 ` [PATCH 3/7] rebase: prepare to do generic housekeeping Ramkumar Ramachandra
2013-05-12 11:56 ` [PATCH 4/7] am: return control to caller, for housekeeping Ramkumar Ramachandra
2013-05-12 11:56 ` [PATCH 5/7] rebase -i: " Ramkumar Ramachandra
2013-05-12 11:56 ` [PATCH 6/7] rebase --merge: " Ramkumar Ramachandra
2013-05-12 11:56 ` [PATCH 7/7] rebase: implement --[no-]autostash and rebase.autostash Ramkumar Ramachandra
2013-05-13 6:28 ` Junio C Hamano
2013-05-13 8:03 ` Ramkumar Ramachandra
2013-05-13 13:49 ` Junio C Hamano
2013-05-13 13:52 ` Ramkumar Ramachandra
2013-05-13 8:24 ` Matthieu Moy
2013-05-13 8:27 ` Ramkumar Ramachandra
2013-05-13 8:41 ` Matthieu Moy
2013-05-13 4:57 ` [PATCH v3 0/7] rebase.autostash completed Junio C Hamano
2013-05-13 7:59 ` Ramkumar Ramachandra
2013-05-13 8:32 ` Matthieu Moy
2013-05-13 14:02 ` Junio C Hamano
2013-05-13 14:00 ` Junio C Hamano
2013-05-13 14:17 ` Ramkumar Ramachandra
2013-05-13 14:56 ` Junio C Hamano
-- strict thread matches above, loose matches on Subject: below --
2013-04-23 14:01 [PATCH 0/7] Introduce rebase.autostash Ramkumar Ramachandra
2013-04-23 14:01 ` [PATCH 2/7] rebase -i: don't error out if $state_dir already exists Ramkumar Ramachandra
2013-04-23 14:45 ` Martin von Zweigbergk
2013-04-23 16:35 ` Junio C Hamano
2013-04-23 16:38 ` Ramkumar Ramachandra
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1368359801-28121-3-git-send-email-artagnon@gmail.com \
--to=artagnon@gmail.com \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.